%global momorel 8

Summary: A cron-like program that can run jobs lost during downtime.
Name: anacron
Version: 2.3
Release: %{momorel}m
License: GPL
Group: System Environment/Base
URL: http://anacron.sourceforge.net/
%NoSource 0 http://telia.dl.sourceforge.net/anacron/%{name}-%{version}.tar.gz 865cc1dfe1ed75c470d3e6de13763f03
Source1: anacrontab
Source2: anacron.init
Source3: anacrontab.with_crontab
Patch0: anacron-2.3-gcc34.patch
Requires: crontabs
Prereq: chkconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler.  It
executes commands at intervals specified in days.  Unlike cron, it
does not assume that the system is running continuously.  It can
therefore be used to control the execution of daily, weekly and
monthly jobs (or anything with a period of n days), on systems that
don't run 24 hours a day.  When installed and configured properly,
Anacron will make sure that the commands are run at the specified
intervals as closely as machine-uptime permits.  

This package is pre-configured to execute the daily jobs of the Kondara
MNU/Linux system. You should install this program if your system isn't
powered on 24 hours a day to make sure the maintenance jobs of other
Kondara MNU/Linux packages are executed each day.

%prep
%setup -q
%patch0 -p1 -b .gcc34~

%build
%make

%install
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man5
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}/var/spool/anacron/
mkdir -p %{buildroot}%{_datadir}/config-sample/anacron/

cp anacron %{buildroot}/usr/sbin
cp anacron.8 %{buildroot}%{_mandir}/man8/
cp anacrontab.5 %{buildroot}%{_mandir}/man5/
cp %{SOURCE1} %{buildroot}/etc
cp %{SOURCE3} %{buildroot}%{_datadir}/config-sample/anacron

for i in cron.daily cron.weekly cron.monthly;do
mkdir -p %{buildroot}%{_sysconfdir}/$i/
cat << EOF > %{buildroot}%{_sysconfdir}/$i/00anacron
#!/bin/sh
#
# anacron's cron script
#
# This script updates anacron time stamps. It is called through run-parts
# either by anacron itself or by cron.
#
# The script is called "00anacron" to assure that it will be executed
# _before_ all other scripts.

anacron -u $i

EOF
chmod +x %{buildroot}%{_sysconfdir}/$i/00anacron
done

mkdir -p %{buildroot}%{_initscriptdir}
install -c -m755 %{SOURCE2} %{buildroot}%{_initscriptdir}/anacron

%clean 
rm -rf %{buildroot}

%post
/sbin/chkconfig --add anacron

%preun
if [ "$1" = "0" ]; then
    service anacron stop >/dev/null 2>&1
    /sbin/chkconfig --del anacron
fi

%postun
if [ "$1" -ge "1" ]; then
    service anacron condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO
%config(noreplace) %{_sysconfdir}/anacrontab
%config %{_initscriptdir}/anacron
%{_sbindir}/anacron
%dir /var/spool/anacron/
%{_mandir}/man5/*
%{_mandir}/man8/*
%config %{_sysconfdir}/cron.daily/00anacron
%config %{_sysconfdir}/cron.monthly/00anacron
%config %{_sysconfdir}/cron.weekly/00anacron
%dir %{_datadir}/config-sample/anacron/
%{_datadir}/config-sample/anacron/*

%changelog
* Wed Nov 17 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3-8m)
- add gcc34 patch

* Thu Apr 22 2004 Toru Hoshina <t@momonga-linux.org>
- (2.3-7m)
- rebuild against new environment.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.3-6k)
- /sbin/chkconfig -> chkconfig in PreReq.

* Mon Mar 18 2002 zunda <zunda@kondara.org>
- (2.3-4k)
- anacrontab.with_crontab added into conig-sample/anacron/ to be used
  with usual cron (one more day to the periods prevents anacron from
  running just before usual cron)

* Sat Mar  9 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.3-2k)
